<?php declare(strict_types=1);

namespace Aviat\Kilo\Tests;

use PHPUnit\Framework\TestCase;

use function Aviat\Kilo\get_window_size;
use function Aviat\Kilo\is_ascii;

class FunctionTest extends TestCase {
	public function test_get_window_size(): void
	{
		[$rows, $cols] = get_window_size();
		$this->assertGreaterThan(0, $rows);
		$this->assertGreaterThan(0, $cols);
	}

	public function test_is_ascii(): void
	{
		$this->assertFalse(is_ascii('©'));
		$this->assertFalse(is_ascii("\x80"));
		$this->assertTrue(is_ascii('a'));
	}
}